Skip to main content
POST
/
v2
/
catalog_entries
Create
curl --request POST \
  --url https://api.incident.io/v2/catalog_entries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aliases": [
    "lawrence@incident.io",
    "lawrence"
  ],
  "attribute_values": {
    "abc123": {
      "array_value": [
        {
          "literal": "SEV123",
          "reference": "incident.severity"
        }
      ],
      "value": {
        "literal": "SEV123",
        "reference": "incident.severity"
      }
    }
  },
  "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
  "name": "Primary On-call",
  "rank": 3
}
'
{
  "catalog_entry": {
    "aliases": [
      "lawrence@incident.io",
      "lawrence"
    ],
    "archived_at": "2021-08-17T14:28:57.801578Z",
    "attribute_values": {
      "abc123": {
        "array_value": [
          {
            "catalog_entry": {
              "archived_at": "2021-08-17T14:28:57.801578Z",
              "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
              "catalog_entry_name": "Primary escalation",
              "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
            },
            "helptext": "abc123",
            "image_url": "abc123",
            "is_image_slack_icon": false,
            "label": "Lawrence Jones",
            "literal": "SEV123",
            "reference": "incident.severity",
            "sort_key": "abc123",
            "unavailable": false,
            "value": "abc123"
          }
        ],
        "value": {
          "catalog_entry": {
            "archived_at": "2021-08-17T14:28:57.801578Z",
            "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
            "catalog_entry_name": "Primary escalation",
            "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
          },
          "helptext": "abc123",
          "image_url": "abc123",
          "is_image_slack_icon": false,
          "label": "Lawrence Jones",
          "literal": "SEV123",
          "reference": "incident.severity",
          "sort_key": "abc123",
          "unavailable": false,
          "value": "abc123"
        }
      }
    },
    "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "name": "Primary On-call",
    "rank": 3,
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Body

application/json
attribute_values
object
required

Values of this entry

Example:
{
  "abc123": {
    "array_value": [
      {
        "literal": "SEV123",
        "reference": "incident.severity"
      }
    ],
    "value": {
      "literal": "SEV123",
      "reference": "incident.severity"
    }
  }
}
catalog_type_id
string
required

ID of this catalog type

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

name
string
required

Name is the human readable name of this entry

Example:

"Primary On-call"

aliases
string[]

Optional aliases that can be used to reference this entry

Example:
["lawrence@incident.io", "lawrence"]
external_id
string

An optional alternative ID for this entry, which is ensured to be unique for the type

Example:

"761722cd-d1d7-477b-ac7e-90f9e079dc33"

rank
integer<int32>

When catalog type is ranked, this is used to help order things

Example:

3

Response

201 - application/json

Created response.

catalog_entry
object
required
Example:
{
  "aliases": ["lawrence@incident.io", "lawrence"],
  "archived_at": "2021-08-17T14:28:57.801578Z",
  "attribute_values": {
    "abc123": {
      "array_value": [
        {
          "catalog_entry": {
            "archived_at": "2021-08-17T14:28:57.801578Z",
            "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
            "catalog_entry_name": "Primary escalation",
            "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
          },
          "helptext": "abc123",
          "image_url": "abc123",
          "is_image_slack_icon": false,
          "label": "Lawrence Jones",
          "literal": "SEV123",
          "reference": "incident.severity",
          "sort_key": "abc123",
          "unavailable": false,
          "value": "abc123"
        }
      ],
      "value": {
        "catalog_entry": {
          "archived_at": "2021-08-17T14:28:57.801578Z",
          "catalog_entry_id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "catalog_entry_name": "Primary escalation",
          "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0"
        },
        "helptext": "abc123",
        "image_url": "abc123",
        "is_image_slack_icon": false,
        "label": "Lawrence Jones",
        "literal": "SEV123",
        "reference": "incident.severity",
        "sort_key": "abc123",
        "unavailable": false,
        "value": "abc123"
      }
    }
  },
  "catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "created_at": "2021-08-17T13:28:57.801578Z",
  "external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
  "id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "name": "Primary On-call",
  "rank": 3,
  "updated_at": "2021-08-17T13:28:57.801578Z"
}